For the complete documentation index, see llms.txt. This page is also available as Markdown.

web3_clientVersion - zkSync

Example code for the web3_clientVersion JSON-RPC method. Сomplete guide on how to use web3_clientVersion JSON-RPC in GetBlock.io Web3 documentation.

Returns the version string of the client software running the node.

Parameters

  • None

Request Example

curl --location --request POST 'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{
    "jsonrpc": "2.0",
    "method": "web3_clientVersion",
    "params": [],
    "id": "getblock.io"
}'
import axios from 'axios';

const data = JSON.stringify({
    "jsonrpc": "2.0",
    "method": "web3_clientVersion",
    "params": [],
    "id": "getblock.io"
});

const config = {
    method: 'post',
    url: 'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/',
    headers: {
        'Content-Type': 'application/json'
    },
    data: data
};

axios(config)
    .then(response => console.log(JSON.stringify(response.data, null, 2)))
    .catch(error => console.log(error));

Response Example

{
    "jsonrpc": "2.0",
    "id": "getblock.io",
    "result": "zkSync/v2.0"
}

Response Parameters

Field
Type
Description

result

string

Client software version string

Use Cases

  • Capability detection

  • Logging and debugging in multi-provider environments

Error Handling

Status Code
Error Message
Cause

403

Forbidden

Missing or invalid <ACCESS-TOKEN>

429

Too Many Requests

Rate limit exceeded for your plan

SDK Integration

Last updated

Was this helpful?